Loading...
Searching...
No Matches
BALL::SurfaceProcessor Class Reference
Molecular Modeling » Molecular Structure » Molecular Surface Computation

`#include <BALL/STRUCTURE/surfaceProcessor.h>`

Inheritance diagram for BALL::SurfaceProcessor:

## Public Types

Enums
enum | SurfaceType { SOLVENT_EXCLUDED_SURFACE , SOLVENT_ACCESSIBLE_SURFACE }
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and destructor.
| SurfaceProcessor ()
| Default constructor.
Processor-related methods.
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (Atom &atom)
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Accessors.

double | radius_offset_
double | vdw_factor_
SurfaceType | surface_type_
Surface | surface_
std::vector< TSphere3< double > > | spheres_
double | density_
double | probe_radius_
const Surface & | getSurface () const
Surface & | getSurface ()
void | setProbeRadius (double radius)
double | getProbeRadius () const
void | setDensity (double density)
double | getDensity () const
std::vector< TSphere3< double > > & | getSpheres ()
void | setType (SurfaceType type)
SurfaceType | getType () const
| Get the surface type to be computed.

## Detailed Description

SurfaceProcessor.

Definition at line 48 of file surfaceProcessor.h.

## Member Enumeration Documentation

## SurfaceType

enum BALL::SurfaceProcessor::SurfaceType

Enumerator
SOLVENT_EXCLUDED_SURFACE |
SOLVENT_ACCESSIBLE_SURFACE |

Definition at line 57 of file surfaceProcessor.h.

## Constructor & Destructor Documentation

## SurfaceProcessor()

BALL::SurfaceProcessor::SurfaceProcessor | ( |  | ) |

Default constructor.

## Member Function Documentation

## finish()

virtual bool BALL::SurfaceProcessor::finish | ( |  | ) |

virtual

finish method

Reimplemented from BALL::UnaryProcessor< Atom >.

## getDensity()

double BALL::SurfaceProcessor::getDensity | ( |  | ) | const

inline

Definition at line 117 of file surfaceProcessor.h.

## getProbeRadius()

double BALL::SurfaceProcessor::getProbeRadius | ( |  | ) | const

inline

Definition at line 111 of file surfaceProcessor.h.

## getSpheres()

std::vector< TSphere3< double > > & BALL::SurfaceProcessor::getSpheres | ( |  | ) |

inline

Definition at line 120 of file surfaceProcessor.h.

## getSurface() [1/2]

Surface & BALL::SurfaceProcessor::getSurface | ( |  | ) |

inline

Definition at line 94 of file surfaceProcessor.h.

## getSurface() [2/2]

const Surface & BALL::SurfaceProcessor::getSurface | ( |  | ) | const

inline

Definition at line 91 of file surfaceProcessor.h.

## getType()

SurfaceType BALL::SurfaceProcessor::getType | ( |  | ) | const

inline

Get the surface type to be computed.

Definition at line 128 of file surfaceProcessor.h.

## operator()()

virtual Processor::Result BALL::SurfaceProcessor::operator() | ( | Atom & |  | ) |

virtual

operator ()

Reimplemented from BALL::UnaryProcessor< Atom >.

## setDensity()

void BALL::SurfaceProcessor::setDensity | ( | double | density | ) |

inline

Definition at line 114 of file surfaceProcessor.h.

## setProbeRadius()

void BALL::SurfaceProcessor::setProbeRadius | ( | double | radius | ) |

inline

Sets the radius of the used probe sphere

Exceptions

  BALL::Exception::OutOfRange | Specifying a radius <= 0 is illegal

Definition at line 101 of file surfaceProcessor.h.

## setType()

void BALL::SurfaceProcessor::setType | ( | SurfaceType | type | ) |

inline

Set the surface type to be computed. Default is SOLVENT_EXCLUDED_SURFACE.

Definition at line 125 of file surfaceProcessor.h.

## start()

virtual bool BALL::SurfaceProcessor::start | ( |  | ) |

virtual

start method

Reimplemented from BALL::UnaryProcessor< Atom >.

## Member Data Documentation

## density_

double BALL::SurfaceProcessor::density_

protected

Definition at line 149 of file surfaceProcessor.h.

## probe_radius_

double BALL::SurfaceProcessor::probe_radius_

protected

Definition at line 152 of file surfaceProcessor.h.

## radius_offset_

double BALL::SurfaceProcessor::radius_offset_

protected

Definition at line 134 of file surfaceProcessor.h.

## spheres_

std::vector<TSphere3<double> > BALL::SurfaceProcessor::spheres_

protected

Definition at line 146 of file surfaceProcessor.h.

## surface_

Surface BALL::SurfaceProcessor::surface_

protected

Definition at line 143 of file surfaceProcessor.h.

## surface_type_

SurfaceType BALL::SurfaceProcessor::surface_type_

protected

Definition at line 140 of file surfaceProcessor.h.

## vdw_factor_

double BALL::SurfaceProcessor::vdw_factor_

protected

Definition at line 137 of file surfaceProcessor.h.